Subject: [bug#64711] [PATCH 40/43] gnu: pango: Support build for the Hurd.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 19 Jul 2023 12:22:31 -0400

Hi Janneke,

Janneke Nieuwenhuizen <[email-masked]> writes:

> Maxim Cournoyer writes:
>
> Hello,
>
>> Janneke Nieuwenhuizen <[email-masked]> writes:
>>
>> [...]
>>
>>> Okay, I can change it to
>>>
>>>      (cons `(,glib "bin")               ;glib-mkenums, etc.
>>>            (append (if (target-hurd?)
>>>                        '()
>>>                        (list gobject-introspection)) ;g-ir-compiler, etc.
>>>                    (list help2man
>>>                          perl
>>>                          pkg-config
>>>                          python-wrapper)))
>>
>> You can avoid 'cons' by moving `(,glib "bin") to the front of the
>> trailing list (the one starting with help2man ...), I think.
>
> Eh..I think that I don't understand; you mean moving `(,glib ,bin) after
> gobject-introspection like this?
>
>      (append (if (target-hurd?)
>                  '()
>                  (list gobject-introspection)) ;g-ir-compiler, etc.
>              (list
>               `(,glib "bin")               ;glib-mkenums, etc.
>               help2man
>               perl
>               pkg-config
>               python-wrapper)))
>
> That will trigger a rebuild that I would like to avoid.

Ah, apologies, I had not thought about this causing rebuilds.

> We could avoid cons by doing
>
>      (append (list `(,glib "bin"))      ;glib-mkenums, etc.
>              (if (target-hurd?)
>                  '()
>                  (list gobject-introspection)) ;g-ir-compiler, etc.
>              (list
>               help2man
>               perl
>               pkg-config
>               python-wrapper))
>
> perhaps the best option?

Either ways are fine, sorry for the noise :-).

-- 
Thanks,
Maxim